---
# Everything else was set up via `microk8s install prometheus`
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: prometheus-monkeybox-ingress
  namespace: monitoring
  annotations:
    #nginx.ingress.kubernetes.io/backend-protocol: "HTTPS"
    #nginx.ingress.kubernetes.io/proxy-ssl-verify: "off"
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
    ## type of authentication
    nginx.ingress.kubernetes.io/auth-type: basic
    ## name of the secret that contains the user/password definitions
    nginx.ingress.kubernetes.io/auth-secret: basic-auth
    ## message to display with an appropriate context why the authentication is required
    nginx.ingress.kubernetes.io/auth-realm: 'Authentication Required - Prometheus'
spec:
  tls:
  - hosts:
    - prometheus.monkeybox.org
    secretName: prometheus-monkeybox-tls
  rules:
  - host: prometheus.monkeybox.org
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: prometheus-k8s
            port:
              number: 9090
---
# Everything else was set up via `microk8s install grafana`
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: grafana-monkeybox-ingress
  namespace: monitoring
  annotations:
    #nginx.ingress.kubernetes.io/backend-protocol: "HTTPS"
    #nginx.ingress.kubernetes.io/proxy-ssl-verify: "off"
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
    ## No basic auth for gphotos-uploader
    ## type of authentication
    #nginx.ingress.kubernetes.io/auth-type: basic
    ## name of the secret that contains the user/password definitions
    #nginx.ingress.kubernetes.io/auth-secret: basic-auth
    ## message to display with an appropriate context why the authentication is required
    #nginx.ingress.kubernetes.io/auth-realm: 'Authentication Required - Octoprint'
spec:
  tls:
  - hosts:
    - grafana.monkeybox.org
    secretName: grafana-monkeybox-tls
  rules:
  - host: grafana.monkeybox.org
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: grafana
            port:
              number: 3000
